package net.adphi.apps.parseapplication.Utils

import com.parse.ParseClassName
import com.parse.ParseObject
import com.parse.ParseUser
import java.util.*

/**
 * Created by Philippe-Adrien on 25/03/2018.
 */
@ParseClassName("Logs")
class ParseLog() : ParseObject(){
    constructor(type: Type, TAG: String, message: String) : this() {
        put("user", ParseUser.getCurrentUser())
        put("type", type.toString())
        put("time", Date())
        put("message", "$TAG : $message")
        saveEventually()
    }

    companion object {
        fun v(TAG: String, message: String) {
            ParseLog(Type.VERBOSE, TAG, message)
        }
        fun d(TAG: String, message: String) {
            ParseLog(Type.DEBUG, TAG, message)
        }
        fun i(TAG: String, message: String) {
            ParseLog(Type.INFO, TAG, message)
        }
        fun w(TAG: String, message: String) {
            ParseLog(Type.WARNING, TAG, message)
        }
        fun e(TAG: String, message: String) {
            ParseLog(Type.ERROR, TAG, message)
        }
    }
}

enum class Type {
    VERBOSE, DEBUG, INFO, WARNING, ERROR
}